	include "include\tios92.h"

	xdef _library

	xdef linklib@0000
	xdef linklib@0001
	xdef linklib@0002
	xdef linklib@0003
	xdef linklib@0004

_library
	dc.b "linklib",0

;************************
;*	Init/Init2	*
;************************

;Init : Initialise le port I/O UNE FOIS POUR TOUTES. A utiliser pour commencer la communication.
;Init2 : Remet  zro le port de communication.

linklib@0000
Init	move.b #%00001100,d7
	move.l #$60000E,a6
	move.b $60000C,backup
	move.b $60000E,backup2
	clr.b $60000C
	bset.b #6,$60000C
linklib@0001
Init2	bclr.b #0,(a6)
	bclr.b #1,(a6)
	move.w #3,d6
	rts

;************************
;*	  Close		*
;************************

;Close : Ferme l'accs au port de communication. A utiliser seulement en fin de communication.

linklib@0002
Close	move.b backup,$60000C
	move.b backup2,$60000E
	rts

;********************************
;*	  Synchro Master	*
;********************************

;Synchro Master : permet la synchronisation entre les deux calcs : mode matre

linklib@0003
SMaster	bset #0,(a6)
TEST1	btst #3,(a6)
	bne.s TEST1
	rts

;********************************
;*	  Synchro Slave		*
;********************************

;Synchro Slave : permet la synchronisation entre les deux calcs : mode esclave

linklib@0004
SSlave	bset #1,(a6)
TEST2	btst #2,(a6)
	bne.s TEST2
	rts

backup	dc.b 0
backup2	dc.b 0

	end